Bug 187732 - auto.smb uses smbfs however mount.smbfs does not exist
Summary: auto.smb uses smbfs however mount.smbfs does not exist
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-03 10:54 UTC by Russell Strong
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: autofs-4.1.4-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 01:19:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
var-log-messages (1.28 MB, text/plain)
2006-04-03 10:54 UTC, Russell Strong
no flags Details

Description Russell Strong 2006-04-03 10:54:50 UTC
Description of problem:
Tried to access a smb file system:

ls /smb/nas/Photographs

Got the following from /var/log/messages:
Apr  2 16:58:53 tecra automount[6154]: >> mount: unknown filesystem type 'smbfs'

I changed the opts line in the file /etc/auto.smb from smbfs to cifs and I was
then able to access the share.

HOWEVER:

Checkout the attached log file: SELINUX is having an absolute fit and sometimes
the whole thing gets really confused.  The smb services are available to mounted
under each smb service?!?!  check out line 167.  Some sort of recursive loopy
freaky thing.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Russell Strong 2006-04-03 10:54:50 UTC
Created attachment 127228 [details]
var-log-messages

Comment 2 Russell Strong 2006-04-06 00:58:26 UTC
BTW, everything works perfectly under FC4.  i.e. same network, same nas device, 
just reboot my laptop into FC4.

Comment 3 Jeff Moyer 2006-04-17 22:43:08 UTC
smbmount was removed from fc5.  You need to use CIFS, for one, and probably just
the mount command.

We'll work on making this transparent.  Sorry for the inconvenience.

Comment 4 Ian Kent 2006-05-12 02:26:28 UTC
(In reply to comment #3)
> smbmount was removed from fc5.  You need to use CIFS, for one, and probably just
> the mount command.
> 
> We'll work on making this transparent.  Sorry for the inconvenience.

Russell this should be fixed in 4.1.4-22 in FC5.

Can you check please.

Ian



Note You need to log in before you can comment on or make changes to this bug.